commit:     36bc45e63f51ea237448829b2339a4142401ceff
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Thu Feb 18 23:22:36 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 09:26:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36bc45e6

dev-python/jaraco-collections: bump to 1.3.2

Package-Manager: portage-2.2.27

 dev-python/jaraco-collections/Manifest             |  1 +
 .../jaraco-collections-1.3.2.ebuild                | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/jaraco-collections/Manifest 
b/dev-python/jaraco-collections/Manifest
index 56ee04d..de2cc2b 100644
--- a/dev-python/jaraco-collections/Manifest
+++ b/dev-python/jaraco-collections/Manifest
@@ -1 +1,2 @@
 DIST jaraco.collections-1.3.1.tar.gz 8616 SHA256 
27e3d67f94372d70be25f46a48796441ca719aedbd4a411835e71e88455bbe66 SHA512 
812fbb66543e204f09f4dc35fc43888b3e8e1cbbf4a2a0e75a0589286e1ee5b303dc30b93696d8fc952bb3dddab95d8ed5ddb09ad4511ad4e12069fb87a93386
 WHIRLPOOL 
c8730e3bd1eb1950b523ce62e31f7e2d2fd46bacdcacd7c57b9b55f95cff51e025e47813af1777d362f83401822a4015fdd386e977bbbd26f9c1a130ff7aa65a
+DIST jaraco.collections-1.3.2.tar.gz 8965 SHA256 
8587fcfa89d81d639687184502cddb4868e3dc5b9a73827ee2bfe8455ab27e57 SHA512 
2369e9194fba5b25294ff5977def201b14d1ae72ddce08b5163995fcb530e55046f24354a0144f9272e822c38b468f493f262d56d2d0f6edab315be90f5fca70
 WHIRLPOOL 
adb24717b71bce2f4d4ccae216eb9fd638bd8457a6c465c73fff32e045900ca08e8cc3a2bd49e9f55f6d7897caaae2894a74c10eac343c40498e7ab2a18c712a

diff --git a/dev-python/jaraco-collections/jaraco-collections-1.3.2.ebuild 
b/dev-python/jaraco-collections/jaraco-collections-1.3.2.ebuild
new file mode 100644
index 0000000..300540d
--- /dev/null
+++ b/dev-python/jaraco-collections/jaraco-collections-1.3.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Models and classes to supplement the stdlib collections module"
+HOMEPAGE="https://github.com/jaraco/jaraco.collections";
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+PDEPEND="dev-python/jaraco-text[${PYTHON_USEDEP}]"
+RDEPEND="dev-python/jaraco-classes[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_prepare_all() {
+       if use test; then
+               if has_version "${CATEGORY}/${PN}"; then
+                       die "Ensure $PN is not already installed or the test 
suite will fail"
+               elif ! has_version "dev-python/jaraco-text"; then
+                       die "Ensure dev-python/jaraco-text is installed or the 
test suite will fail"
+               fi
+       fi
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       PYTHONPATH=. py.test || die "tests failed with ${EPYTHON}"
+}

Reply via email to